Account Setup

AI Tools

Overview

Davinci Commerce Programmable Personalization API allows for creation of advertiser accounts in the platform. Every ad and campaign gets created and managed under an advertiser account. The methods are described in the table below.

Method Name

Method Type

Description

Create Account

POST

Creates an advertiser account on the platform.

List All Accounts

GET

Returns list of all advertiser accounts created on the platform

Get Account Details

GET

Returns details of a particular advertiser account on the platform.

Create Account

Parameters

The Create Account method is a POST method, and hence does not require any path or query parameters.

Sample Request

POST http://demo.stub.api.jivox.com/v2/accounts

Request Body

{ "accountName": "test123", "publisherId": "9", "city": "New york", "name": "demo1", "phoneNumber": "1243567891", "email": "jivox.test@gmail.com", "state": "USA", "username": "jivox.test@gmail.com", "password": "test123", "agency": "api testing", "country": "USA", "accountId": "1234", "address2": "N Y City", "brand": "brand1", "postalCode": "12345", "lastName": "Pacino", "firstName": "Al", "address1": "Hollywood", "advertiserId": "1111" }

Sample Response

{ "accountId": "wh390dd", "msg": "Advertiser created successfully" }

List All Accounts

Parameters

The List All Accounts method does not require any path or query parameters.

Sample Request

GET http://demo.stub.api.jivox.com/v2/accounts

Sample Response

{ "accounts": [ { "accountId": "1234", "name": "demo1" }, { "accountId": "165", "name": "demo2" } ], "previous": "", "next": "" }

Get Account Details

Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

path

ID of the account for which the details are being fetched.

Sample Request

GET http://demo.stub.api.jivox.com//v2/accounts/1234

Sample Response

{ "publisherId": "9", "city": "New york", "name": "demo1", "phoneNumber": "1243567891", "email": "jivox.test@gmail.com", "state": "USA", "username": "jivox.test@gmail.com", "agency": "api testing", "country": "USA", "accountId": "1234", "address2": "N Y City", "brand": "brand1", "postalCode": "12345", "lastName": "Pacino", "firstName": "Al", "address1": "Hollywood", "advertiserId": "1111" }